package com.steerinfo.meterwork.meterworktask.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="待办工作表")
public class MeterWorkTask implements IBasePO<String> {
    /**
     * 主键(TASK_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String taskId;

    /**
     * 待办工作类型编码(TASK_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="待办工作类型编码",required=false)
    private String taskTypeNo;

    /**
     * 待办工作类型名称(TASK_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="待办工作类型名称",required=false)
    private String taskTypeName;

    /**
     * 代办工作内容(TASK_CONTENT,VARCHAR,30)
     */
    @ApiModelProperty(value="代办工作内容",required=false)
    private String taskContent;

    /**
     * 接收人(RECEIVER,VARCHAR,30)
     */
    @ApiModelProperty(value="接收人",required=false)
    private String receiver;

    /**
     * 发布时间(PUBLISH_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="发布时间",required=false)
    private Date publishTime;

    /**
     * 工作状态(STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="工作状态",required=false)
    private String state;

    /**
     * 处理结果(HANDLE_RESULT,VARCHAR,30)
     */
    @ApiModelProperty(value="处理结果",required=false)
    private String handleResult;

    /**
     * 处理时间(HANDLE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="处理时间",required=false)
    private Date handleTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.taskId;
    }

    @Override
    public void setId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public String getTaskTypeNo() {
        return taskTypeNo;
    }

    public void setTaskTypeNo(String taskTypeNo) {
        this.taskTypeNo = taskTypeNo == null ? null : taskTypeNo.trim();
    }

    public String getTaskTypeName() {
        return taskTypeName;
    }

    public void setTaskTypeName(String taskTypeName) {
        this.taskTypeName = taskTypeName == null ? null : taskTypeName.trim();
    }

    public String getTaskContent() {
        return taskContent;
    }

    public void setTaskContent(String taskContent) {
        this.taskContent = taskContent == null ? null : taskContent.trim();
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver == null ? null : receiver.trim();
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getHandleResult() {
        return handleResult;
    }

    public void setHandleResult(String handleResult) {
        this.handleResult = handleResult == null ? null : handleResult.trim();
    }

    public Date getHandleTime() {
        return handleTime;
    }

    public void setHandleTime(Date handleTime) {
        this.handleTime = handleTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", taskId=").append(taskId);
        sb.append(", taskTypeNo=").append(taskTypeNo);
        sb.append(", taskTypeName=").append(taskTypeName);
        sb.append(", taskContent=").append(taskContent);
        sb.append(", receiver=").append(receiver);
        sb.append(", publishTime=").append(publishTime);
        sb.append(", state=").append(state);
        sb.append(", handleResult=").append(handleResult);
        sb.append(", handleTime=").append(handleTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}